/* Wedit Res Info */
#ifndef __windows_h__
#include <windows.h>
#endif
#include <winver.h>
#include "fccalcres.h"
#include "fccalc.h"

#if 0
BOOL APIENTRY Dlg100(HWND hwnd,UINT msg,WPARAM wParam,LPARAM lParam)
{
	static WEDITDLGPARAMS WeditDlgParams;
	static HFONT DialogFont;

	switch(msg)
	{
		case WM_INITDIALOG:
			SetWindowLong(hwnd,DWL_USER,(DWORD)&WeditDlgParams);
			DialogFont = SetDialogFont(hwnd,"MS Sans Serif",8,400);
			CenterWindow(hwnd,1);
			Dlg100Init(hwnd,wParam,lParam);
			/* store the input arguments if any */
			SetProp(hwnd,"InputArgument",(HANDLE)lParam);
			break;
		case WM_COMMAND:
			switch (LOWORD(wParam))
			{
			}
			break;
		case WM_DESTROY:
			DeleteObject(DialogFont);
			/* Remove the input arguments propierty */
			RemoveProp(hwnd,"InputArgument");
			break;
	}
	return(HandleDefaultMessages(hwnd,msg,wParam,lParam));
}
#endif

void Dlg200Init(HWND hDlg,UINT wParam,DWORD lParam)
{
	void *vi;
	int vis;
	char fname[201];
	void *info;
	unsigned is = sizeof(fname);

	GetModuleFileName(NULL, fname, is);
	vis = GetFileVersionInfoSize(fname, NULL);
	if (vis)
	{
		vi = malloc(vis);
		GetFileVersionInfo(fname, 0, vis, vi);
		VerQueryValue(vi, "\\StringFileInfo\\0C0704B0\\Comments", &info, &is);
		SetDlgItemText(hDlg, IDD_ABOUT_TEXT, (char *)info);
		VerQueryValue(vi, "\\StringFileInfo\\0C0704B0\\LegalCopyright", &info, &is);
		SetDlgItemText(hDlg, IDD_ABOUT_COPYRIGHT, (char *)info);
		VerQueryValue(vi, "\\StringFileInfo\\0C0704B0\\InternalName", &info, &is);
		SetDlgItemText(hDlg, IDD_ABOUT_PROGRAMM, (char *)info);
		VerQueryValue(vi, "\\StringFileInfo\\0C0704B0\\ProductVersion", &info, &is);
		SetDlgItemText(hDlg, IDD_ABOUT_VERSION, (char *)info);
	}
	SendDlgItemMessage(hDlg,IDI_SECICON,STM_SETICON,(WPARAM)king[0],(LPARAM)0);
}

BOOL APIENTRY Dlg200(HWND hwnd,UINT msg,WPARAM wParam,LPARAM lParam)
{
	static WEDITDLGPARAMS WeditDlgParams;
	static HFONT DialogFont;

	switch(msg)
	{
		case WM_INITDIALOG:
			SetWindowLong(hwnd,DWL_USER,(DWORD)&WeditDlgParams);
			//DialogFont = SetDialogFont(hwnd,"MS Sans Serif",8,400);
			CenterWindow(hwnd,1);
			Dlg200Init(hwnd,wParam,lParam);
			/* store the input arguments if any */
			//SetProp(hwnd,"InputArgument",(HANDLE)lParam);
			break;
		case WM_COMMAND:
			switch (LOWORD(wParam))
			{
				case IDD_ABOUT_OK:
					EndDialog(hwnd, TRUE);
					break;
			}
			break;
		case WM_DESTROY:
			DeleteObject(DialogFont);
			/* Remove the input arguments propierty */
			RemoveProp(hwnd,"InputArgument");
			break;
	}
	return(HandleDefaultMessages(hwnd,msg,wParam,lParam));
}
/*@@Callbacks Section--------------------------------------Callbacks Section@@*/
/*@@Dialog "Dlg100"------------------------------------------Dialog "Dlg100"@@*/
/*@@Dialog "Dlg200"------------------------------------------Dialog "Dlg200"@@*/
